### Enumeration

# AppStream SizeKind

since: 0.8.6

#### Declaration

    enum AppStream.SizeKind

#### Description [src]

The artifact size kind.

Available since: 0.8.6

#### Members

`AS_SIZE_KIND_UNKNOWN`

  Unknown size.

  - Value: `0`
  - Available since: 0.8.6
`AS_SIZE_KIND_DOWNLOAD`

  Size of download of component.

  - Value: `1`
  - Available since: 0.8.6
`AS_SIZE_KIND_INSTALLED`

  Size of installed component.

  - Value: `2`
  - Available since: 0.8.6

#### Type functions

###### as_size_kind_from_string

Converts the text representation to an enumerated value.

###### as_size_kind_to_string

Converts the enumerated value to an text representation.